﻿using Syncfusion.Data;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using System.Threading.Tasks;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid;
using Windows.UI.Core;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace ResizeColumn
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class BlankPage1 : Page
    {
        public BlankPage1()
        {
            this.InitializeComponent();
            this.dataGrid.Loaded += DataGrid_Loaded;                        
        }
      
        private async void DataGrid_Loaded(object sender, RoutedEventArgs e)
        {          
            var collection = (this.dataGrid.View as PagedCollectionView).GetInternalList();
            int i = 0;
            foreach (var rec in collection)
            {
                var value = (rec as OrderInfo).RecordID;

                if ((int)value == 1119)
                {
                    int index = i / this.sfDataPager.PageSize;
                    this.sfDataPager.PageIndex = index;
                    this.dataGrid.SelectedIndex = i % this.sfDataPager.PageSize;
                    var rowindex = this.dataGrid.ResolveToRowIndex(this.dataGrid.SelectedIndex);                  
                    await Task.Delay(5);                 
                        dataGrid.ScrollInView(new Syncfusion.UI.Xaml.ScrollAxis.RowColumnIndex(rowindex, 1));                                                                                                                   
                    break;
                }
                i++;
            }
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(MainPage));
        }
    }
}
